Get Fleet Components

Get Fleet Components
Fetch Fleet Components

Retrieves the list of HCX deployed dataplance appliances in the infrastructure. This API returns information about Interconnect (IX), Network Extension (NE), and WAN Optimization (WANOPT) appliances that can be included in tech support log collection.

Fleet Appliance Types:

  • GATEWAY (Interconnect/IX): Gateway appliances for site-to-site connectivity
  • L2C_HT (Network Extension): Layer 2 network extension appliances
  • WANOPT: WAN optimization appliances
Request
URI
GET
https://{server}:9443/api/admin/techSupportLogs/retrieveComponents
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved fleet components list

[
    {
        "resourceId": "domain-c7",
        "resourceName": "Compute-Cluster-01",
        "appliances": [
            {
                "applianceType": "GATEWAY",
                "applianceName": "IX-Large-01",
                "applianceId": "urn:vcloud:gateway:12345678-1234-1234-1234-123456789012"
            },
            {
                "applianceType": "L2C_HT",
                "applianceName": "NE-01",
                "applianceId": "urn:vcloud:l2c:87654321-4321-4321-4321-210987654321"
            }
        ]
    }
]
array of object
Optional

500

Internal server error

Returns SimpleErrorMessage of type(s) application/json
{
    "message": "string"
}
string
message
Optional

Error message


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/admin/techSupportLogs/retrieveComponents